﻿// // ******************************************************************
// //       /\ /|       @File         DecodeParams.cpp
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-5-6
// //      /  \\        @Modified      2024-5-13
// //    *(__\_\
// // ******************************************************************

#include "DecodeParams.h"

namespace Protocol
{
    DecodeParams::DecodeParams(): ProtocolType(SerialProtocolType::Close), AutomaticClockRecovery(false),
                                  ProtocolParamsPtr(nullptr)
    {
    }

    DecodeParams::DecodeParams(const DecodeParams& decodeParams)
    {
        ProtocolType = decodeParams.ProtocolType;

        AutomaticClockRecovery = decodeParams.AutomaticClockRecovery;

        ProtocolParamsPtr = decodeParams.ProtocolParamsPtr;
    }

    // DecodeParams::~DecodeParams()
    // = default;
}
