﻿// // ******************************************************************
// //       /\ /|       @File         SYNC.h
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-3-14
// //      /  \\        @Modified      2024-5-13
// //    *(__\_\
// // ******************************************************************

#pragma once
namespace Protocol::ProtocolUsb
{
    class SYNC
    {
    public:
        int StartIndex;
        int EndIndex;
        int SingleBitTimingLength;
        int OneByteTimingLength;

        int Length() const
        {
            return EndIndex - StartIndex;
        }

        int PacketEndIndex() const
        {
            return packetEndIndex;
        }

        void SetPacketEndIndex(int value)
        {
            packetEndIndex = value;
        }

        SYNC()
        {
        }

        SYNC(int startIndex, int endIndex, int singleBitTimingLength) :
            StartIndex(startIndex),
            EndIndex(endIndex),
            SingleBitTimingLength(singleBitTimingLength),
            OneByteTimingLength(singleBitTimingLength * 8),
            packetEndIndex(0)
        {
        }

    private:
        int packetEndIndex;
    };
}
